Update Ticket Comment
Updates the comment of a specified ticket.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
PUT /api/sonar/tickets/:ticket_guid/comments/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-d format=MARKDOWN \
-d content="* Blocked IP address" \
-X PUT \
https://HOSTNAME/api/sonar/tickets/fa69e0dc-5116-491d-8a57-19cf0332b157/comments/08ee89f1-630f-4b24-b6b2-e0c88c5f3003
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| ticket_guid | O | String | Ticket GUID | 36 characters |
| guid | O | String | Note GUID | 36 characters |
| format | O | String | Content format | JSON or MARKDOWN or PLAIN |
| content | O | String | Content |
Success Response
{}
Error Responses
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
Invalid format is specified
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "format should be one of PLAIN, MARKDOWN, JSON."
}
Ticket is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "Ticket is not found: 201dc306-5ef7-4d4f-b872-1fa0f4d7dc57"
}
Ticket comment is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "ticket comment not found: 08ee89f1-630f-4b24-b6b2-e0c88c5f3002"
}